> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive all accounts for the client  

> Return the list of the balances for the client accounts



## OpenAPI

````yaml get /v1/accounts
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /v1/accounts:
    get:
      tags:
        - Account
      summary: 'Receive all accounts for the client  '
      description: Return the list of the balances for the client accounts
      parameters:
        - name: companyId
          in: query
          description: Company id
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Account'
      security:
        - bearerAuth: []
components:
  schemas:
    Account:
      properties:
        id:
          type: string
        alias:
          type: string
        currency:
          type: string
        pending:
          type: string
        status:
          type: string
        endUserId:
          type: string
        companyId:
          type: string
        createdAt:
          type: string
        products:
          type: array
          items:
            $ref: '#/components/schemas/Account_products'
        updatedAt:
          type: string
        posted:
          type: string
        title:
          type: string
        variantId:
          type: string
    Account_products:
      type: object
      properties:
        extAccountId:
          type: string
        id:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````